"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Multi = void 0;
const bindings = require('../lib/binding/node_libcurl.node');
/**
 * This is a Node.js wrapper around the binding {@link MultiNativeBinding | native Multi class}.
 *
 * The only extra is that it provides a static field `option`.
 *
 * @public
 */
let Multi = /** @class */ (() => {
    class Multi extends bindings.Multi {
    }
    /**
     * Options to be used with {@link setOpt | `setOpt`}.
     *
     * See the official documentation of [`curl_multi_setopt()`](http://curl.haxx.se/libcurl/c/curl_multi_setopt.html)
     *  for reference.
     *
     * `CURLMOPT_MAXCONNECTS` becomes `Multi.option.MAXCONNECTS`
     */
    Multi.option = bindings.Curl.multi;
    return Multi;
})();
exports.Multi = Multi;
//# sourceMappingURL=Multi.js.map